From a30ec54acc9bcc997a3a5f5d5c731cbc3b0b21e2 Mon Sep 17 00:00:00 2001
From: Michael Paquier <michael@otacoo.com>
Date: Thu, 19 Feb 2015 13:40:59 +0900
Subject: [PATCH 2/4] Add forgotten CATALOG_VARLEN pg_authid

The laste two fields of this catalog table, rolvaliduntil and rolpassword
can be null, but were not marked as such.
---
 src/include/catalog/pg_authid.h | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/src/include/catalog/pg_authid.h b/src/include/catalog/pg_authid.h
index e01e6aa..5b34288 100644
--- a/src/include/catalog/pg_authid.h
+++ b/src/include/catalog/pg_authid.h
@@ -55,9 +55,10 @@ CATALOG(pg_authid,1260) BKI_SHARED_RELATION BKI_ROWTYPE_OID(2842) BKI_SCHEMA_MAC
 	bool		rolbypassrls;	/* allowed to bypass row level security? */
 	int32		rolconnlimit;	/* max connections allowed (-1=no limit) */
 
-	/* remaining fields may be null; use heap_getattr to read them! */
+#ifdef CATALOG_VARLEN
 	text		rolpassword;	/* password, if any */
 	timestamptz rolvaliduntil;	/* password expiration time, if any */
+#endif
 } FormData_pg_authid;
 
 #undef timestamptz
-- 
2.3.0

